<?php
//Obtengo la ruta General de los archivos!
$uri ='../../Classes/core_class/consultasDb.php';

include_once($uri);

class logs_accesos extends consultasDb
{
	public function __construct()
	{
		parent::__construct('');
		$this->setDbLink(parent::Conectar());
	}
	
	public function GetConfiguraciones($ConfiguracionNombre)
	{
	   $configuraciones = new consultasDb('');
	   $configuraciones->setConsulta("SELECT * FROM configuraciones WHERE ConfiguracionNombre = '".$ConfiguracionNombre."'");
	   $q = $configuraciones->query();
	   $row = $configuraciones->fetchArray($q);
	   $configuraciones->Desconectar();
	   return $row["ConfiguracionValor"];
	}
	
	public function GetOperadoresDelMonitor()
	{
	   $operadores_monitor = new consultasDb('');
	   $operadores_monitor->setConsulta("SELECT OperadorMonitorID,NombreUsuario FROM operadores_monitor");
	   $resultado_operadores_monitor = $operadores_monitor->query();
	   
	   $operadores_monitor_array= array();
	   while($row = $operadores_monitor->fetchArray($resultado_operadores_monitor))
	   {
			array_push($operadores_monitor_array,$row);
	   }	   
	   return $operadores_monitor_array;
	}

	public function GetAccesos($parametros)
	{		
		try
		{			
	
			
			$getAccesos = new consultasDb("");
			$query ="call get_logs_accesos('".$parametros['fecha_desde']."','".$parametros['fecha_hasta']."',".$parametros['tipo'].",".$parametros['operador_monitor'].");";
										
			$getAccesos->setConsulta($query);
			$q = $getAccesos->query();
			$getAccesos->Desconectar();
			
			$json = '{"aaData":[';
			
			if($q){
				$first = true;
				while($row = $getAccesos->fetchArray($q)){
					if($first) {
						$first = false;
					} else {
						$json .= ',';
					}
						$tipo = ($row["Tipo"]=="1")?"Ingreso":"Egreso";
						$host = ($row["HostNombre"]=="::1")?"Máquina local":$row["HostNombre"];
						
						$json .= '["'.$tipo.'","'
									 .$row["NombreUsuario"].'","'
									 .date('d-m-Y H:i:s',strtotime($row["FechaLog"])).'","'
									 .$host.'"]';
				}
				$json .= ']}';
			} else {
				$json .= '[]';
			}
			echo $json;
		} 
		catch (Exception $e) 
		{
			return 'Excepción capturada: '.  $e->getMessage(). "\n";
		}
	}
}
?>